# BasicClassGroup Class Reference

A group of classes allocated by BasicClassGroupFactory. More...

`#include <BasicClassGroup.h>`

List of all members.

## Protected Member Functions

| BasicClassGroup (void **classes, const unsigned int size)
| ~BasicClassGroup ()
void * | getClass (const unsigned int id)
| A BasicException will be thrown if the id is invalid.

## Protected Attributes

void ** | classes
unsigned int | size

## Detailed Description

A group of classes allocated by BasicClassGroupFactory.

Should not be accessed directly, but rather through an instance of BasicClassGroupAccessor.

## Constructor & Destructor Documentation

BasicClassGroup::BasicClassGroup | ( | void ** | classes,
|  | const unsigned int | size
| ) | `[inline, protected]`

Parameters:

  | classes | The class array.
  | size | The number of classes in the array.

BasicClassGroup::~BasicClassGroup | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void* BasicClassGroup::getClass | ( | const unsigned int | id | ) | `[inline, protected]`

A BasicException will be thrown if the id is invalid.

Parameters:

  | id | A class id as assigned by BasicClassGroupFactory.

Returns:
  A pointer to the allocate memory for this class id.

## Member Data Documentation

void** BasicClassGroup::classes `[protected]`

unsigned int BasicClassGroup::size `[protected]`

The documentation for this class was generated from the following file:

- BasicClassGroup.h